Bug 14691 - Bug in columns support (relpositioned inlines)
: Bug in columns support (relpositioned inlines)
Status: NEW
: WebKit
Layout and Rendering
: 523.x (Safari 3)
: Macintosh Mac OS X 10.4
: P2 Normal
Assigned To:
: http://en.wikipedia.org/wiki/TAM_3054...
: NeedsRadar, NeedsReduction
:
:
  Show dependency treegraph
 
Reported: 2007-07-20 10:16 PST by
Modified: 2011-02-13 11:46 PST (History)


Attachments
visual of the problem (142.65 KB, image/png)
2007-07-20 10:18 PST, Derk-Jan Hartman
no flags Details
slightly different case (265.35 KB, image/png)
2007-07-24 06:07 PST, Derk-Jan Hartman
no flags Details
html of 2nd (slightly different) case (27.58 KB, text/html)
2007-07-24 06:09 PST, Derk-Jan Hartman
no flags Details
Misplaced "(Portuguese)" in extra wide browser (318.54 KB, image/png)
2007-08-16 10:28 PST, David Kilzer (:ddkilzer)
no flags Details
Testcase #1 (981 bytes, text/html)
2008-03-16 18:21 PST, Andrew Stibbard
no flags Details
Testcase #2 (984 bytes, text/html)
2008-03-16 18:22 PST, Andrew Stibbard
no flags Details
Testcase #3 (984 bytes, text/html)
2008-03-16 18:22 PST, Andrew Stibbard
no flags Details
Testcase #4 (929 bytes, text/html)
2008-03-16 18:22 PST, Andrew Stibbard
no flags Details
Testcase #5: <sup> versus "<span> with pos=rel" (6.88 KB, text/html)
2011-02-13 03:54 PST, Peter Speck
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-20 10:16:35 PST
<span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>  within a div that has "column-width" property set does not work. It appears that the relative position is calculated properly, and subsequently the column property is applied to the contents of the div. However the relative position of the span is not corrected after this.

I will upload examples and a picture of the effect. See the URL for the original case
------- Comment #1 From 2007-07-20 10:18:04 PST -------
Created an attachment (id=15602) [details]
visual of the problem

This shows the problem well. See how the right column has space to fit the (Portuguese) spans, but the actual spans are positioned below the left column.
------- Comment #2 From 2007-07-20 10:19:50 PST -------
The relevant code. Please note that more CSS might be active and check the original URL
http://en.wikipedia.org/wiki/TAM_3054#References

<p><a name="References" id="References"></a></p>
<h2><span class="editsection">[<a href="/w/index.php?title=TAM_Linhas_A%C3%A9reas_Flight_3054&amp;action=edit&amp;section=9" title="Edit section: References">edit</a>]</span> <span class="mw-headline">References</span></h2>
<div class="references-small" style="-moz-column-width:35em; -webkit-column-width:35em; column-width:35em;">
<ol class="references">
<li id="_note-MSNBC">^ <a href="#_ref-MSNBC_0" title=""><sup><i><b>a</b></i></sup></a> <a href="#_ref-MSNBC_1" title=""><sup><i><b>b</b></i></sup></a> <a href="/wiki/Associated_Press" title="Associated Press">Associated Press</a> (<a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>). <a href="http://www.msnbc.msn.com/id/19815779" class="external text" title="http://www.msnbc.msn.com/id/19815779" rel="nofollow">Toll in Brazil plane crash could climb past 189</a>. <a href="/wiki/MSNBC" title="MSNBC">MSNBC</a>. Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-FDR"><b><a href="#_ref-FDR_0" title="">^</a></b> <a href="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312960.shtml" class="external text" title="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312960.shtml" rel="nofollow">Aeronáutica envia caixa-preta aos EUA; mortos devem chegar a 200</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <i><a href="/wiki/Folha_de_S._Paulo" title="Folha de S. Paulo">Folha de S. Paulo</a></i>. <i><a href="/wiki/Folha_de_S._Paulo" title="Folha de S. Paulo">Folha de S. Paulo</a></i> (<a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-agbrasil2203"><b><a href="#_ref-agbrasil2203_0" title="">^</a></b> Montoia, Paulo (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). <a href="http://www.agenciabrasil.gov.br/noticias/2007/07/17/materia.2007-07-17.7726672606/view" class="external text" title="http://www.agenciabrasil.gov.br/noticias/2007/07/17/materia.2007-07-17.7726672606/view" rel="nofollow">Bombeiros deverão iniciar logo a retirada dos corpos das vítimas do acidente com avião da TAM</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <a href="/wiki/Ag%C3%AAncia_Brasil" class="stub" title="Agência Brasil">Agência Brasil</a>. Retrieved on <a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-flightbreaking">^ <a href="#_ref-flightbreaking_0" title=""><sup><i><b>a</b></i></sup></a> <a href="#_ref-flightbreaking_1" title=""><sup><i><b>b</b></i></sup></a> Ionides, Nicholas (<a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>). <a href="http://www.flightglobal.com/articles/2007/07/18/215565/breaking-news-tam-a320-crashes-in-sao-paolo.html" class="external text" title="http://www.flightglobal.com/articles/2007/07/18/215565/breaking-news-tam-a320-crashes-in-sao-paolo.html" rel="nofollow">BREAKING NEWS: TAM A320 crashes in Sao Paulo</a>. <i><a href="/wiki/Flight_International" class="stub" title="Flight International">Flight International</a></i>. Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-manifest"><b><a href="#_ref-manifest_0" title="">^</a></b> <a href="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312959.shtml" class="external text" title="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312959.shtml" rel="nofollow">Confira a lista de pessoas a bordo do vôo 3054 da TAM</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <i><a href="/wiki/Folha_de_S._Paulo" title="Folha de S. Paulo">Folha de S. Paulo</a></i> (<a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-notaTAM"><b><a href="#_ref-notaTAM_0" title="">^</a></b> <a href="http://www.agenciabrasil.gov.br/noticias/2007/07/17/materia.2007-07-17.3821074797/view" class="external text" title="http://www.agenciabrasil.gov.br/noticias/2007/07/17/materia.2007-07-17.3821074797/view" rel="nofollow">Nota da TAM retifica informação e diz que Airbus 320 levava 176 pessoas</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <a href="/wiki/Ag%C3%AAncia_Brasil" class="stub" title="Agência Brasil">Agência Brasil</a> (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-CNN">^ <a href="#_ref-CNN_0" title=""><sup><i><b>a</b></i></sup></a> <a href="#_ref-CNN_1" title=""><sup><i><b>b</b></i></sup></a> <a href="#_ref-CNN_2" title=""><sup><i><b>c</b></i></sup></a> <a href="#_ref-CNN_3" title=""><sup><i><b>d</b></i></sup></a> <a href="#_ref-CNN_4" title=""><sup><i><b>e</b></i></sup></a> <a href="http://www.cnn.com/2007/WORLD/americas/07/18/brazil.plane.crash/index.html" class="external text" title="http://www.cnn.com/2007/WORLD/americas/07/18/brazil.plane.crash/index.html" rel="nofollow">Pilot in Brazilian crash tried to abort landing, official says</a>. <a href="/wiki/CNN" title="CNN">CNN</a> (<a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_20" title="July 20">July 20</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-0"><b><a href="#_ref-0" title="">^</a></b> <a href="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312789.shtml" class="external text" title="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312789.shtml" rel="nofollow">Incêndio permanece fora de controle; chances de sobrevivência diminuem</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <i><a href="/wiki/Folha_de_S._Paulo" title="Folha de S. Paulo">Folha de S. Paulo</a></i> (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-1"><b><a href="#_ref-1" title="">^</a></b> <a href="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312799.shtml" class="external text" title="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312799.shtml" rel="nofollow">Três vítimas do acidente com avião da TAM são atendidas no hospital Alvorada</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <i><a href="/wiki/Folha_de_S._Paulo" title="Folha de S. Paulo">Folha de S. Paulo</a></i> (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-2"><b><a href="#_ref-2" title="">^</a></b> Mikevis, Dayanne (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). <a href="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312806.shtml" class="external text" title="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312806.shtml" rel="nofollow">"Tem 200 mortos aí", diz coronel dos bombeiros sobre acidente da TAM</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <i><a href="/wiki/Folha_de_S._Paulo" title="Folha de S. Paulo">Folha de S. Paulo</a></i>. Retrieved on <a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-3"><b><a href="#_ref-3" title="">^</a></b> <a href="http://aviation-safety.net/database/record.php?id=20070717-0" class="external text" title="http://aviation-safety.net/database/record.php?id=20070717-0" rel="nofollow">Accident Description</a>. Aviation Safety Network (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_19" title="July 19">July 19</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-4"><b><a href="#_ref-4" title="">^</a></b> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span><a href="http://www.estadao.com.br/cidades/not_cid20766,0.htm" class="external text" title="http://www.estadao.com.br/cidades/not_cid20766,0.htm" rel="nofollow">Authorities say the plane was above normal speed</a> O Estado de S. Paulo. Retrieved July 18, 2007.</li>
<li id="_note-Yahoo_News"><b><a href="#_ref-Yahoo_News_0" title="">^</a></b> Stan Lehman (<a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>). <a href="http://news.yahoo.com/s/ap/20070718/ap_on_re_la_am_ca/brazil_plane_crash" class="external text" title="http://news.yahoo.com/s/ap/20070718/ap_on_re_la_am_ca/brazil_plane_crash" rel="nofollow">At least 189 die in Brazil air crash</a>. Associated Press. Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-5"><b><a href="#_ref-5" title="">^</a></b> <a href="http://www.agenciabrasil.gov.br/media/infograficos/2007/07/17/acidente_170707.swf/view" class="external text" title="http://www.agenciabrasil.gov.br/media/infograficos/2007/07/17/acidente_170707.swf/view" rel="nofollow">O acidente do avião da TAM</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <a href="/wiki/Ag%C3%AAncia_Brasil" class="stub" title="Agência Brasil">Agência Brasil</a> (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-IML"><b><a href="#_ref-IML_0" title="">^</a></b> <a href="http://g1.globo.com/Noticias/SaoPaulo/0,,MUL73257-5605,00.html" class="external text" title="http://g1.globo.com/Noticias/SaoPaulo/0,,MUL73257-5605,00.html" rel="nofollow">Secretaria confirma 188 mortos em acidente de vôo da TAM</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <i><a href="/wiki/Globo" title="Globo">Globo</a></i> (<a href="/wiki/July_19" title="July 19">July 19</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_19" title="July 19">July 19</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-IML2"><b><a href="#_ref-IML2_0" title="">^</a></b> Albuquerque, Vinícius (<a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>). <a href="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312943.shtml" class="external text" title="http://www1.folha.uol.com.br/folha/cotidiano/ult95u312943.shtml" rel="nofollow">IML recebe 83 corpos do acidente da TAM; seis são identificados</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <i><a href="/wiki/Folha_de_S._Paulo" title="Folha de S. Paulo">Folha de S. Paulo</a></i>. Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-BBC_News"><b><a href="#_ref-BBC_News_0" title="">^</a></b> <a href="http://news.bbc.co.uk/1/hi/world/americas/6903837.stm" class="external text" title="http://news.bbc.co.uk/1/hi/world/americas/6903837.stm" rel="nofollow">Brazilian plane crash 'kills 200'</a>. <a href="/wiki/BBC_News" title="BBC News">BBC News</a> (<a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>).</li>
<li id="_note-6"><b><a href="#_ref-6" title="">^</a></b> <a href="http://www.rvs.uni-bielefeld.de/publications/Incidents/DOCS/ComAndRep/Warsaw/leyman/analysis-leyman.html" class="external text" title="http://www.rvs.uni-bielefeld.de/publications/Incidents/DOCS/ComAndRep/Warsaw/leyman/analysis-leyman.html" rel="nofollow">A320 Warsaw landing analysis</a> Prof. Clive Leyman, City University of London. Retrieved July 18, 2007</li>
<li id="_note-BBC_News1">^ <a href="#_ref-BBC_News1_0" title=""><sup><i><b>a</b></i></sup></a> <a href="#_ref-BBC_News1_1" title=""><sup><i><b>b</b></i></sup></a> <a href="#_ref-BBC_News1_2" title=""><sup><i><b>c</b></i></sup></a> <a href="http://news.bbc.co.uk/1/hi/world/americas/6337217.stm" class="external text" title="http://news.bbc.co.uk/1/hi/world/americas/6337217.stm" rel="nofollow">Jets banned from Sao Paulo runway</a>. <a href="/wiki/BBC_News" title="BBC News">BBC News</a> (<a href="/wiki/February_6" title="February 6">February 6</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-Reuters"><b><a href="#_ref-Reuters_0" title="">^</a></b> <a href="http://www.reuters.com/article/newsOne/idUSN1726359820070718?pageNumber=2" class="external text" title="http://www.reuters.com/article/newsOne/idUSN1726359820070718?pageNumber=2" rel="nofollow">Up to 200 feared dead in Brazil crash</a>. <a href="/wiki/Reuters" title="Reuters">Reuters</a> (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-Reuters_focus_shift">^ <a href="#_ref-Reuters_focus_shift_0" title=""><sup><i><b>a</b></i></sup></a> <a href="#_ref-Reuters_focus_shift_1" title=""><sup><i><b>b</b></i></sup></a> <a href="#_ref-Reuters_focus_shift_2" title=""><sup><i><b>c</b></i></sup></a> <a href="http://www.reuters.com/article/latestCrisis/idUSN19425884" class="external text" title="http://www.reuters.com/article/latestCrisis/idUSN19425884" rel="nofollow">Focus of Brazil air crash shifts away from runway</a>. <i>Reuters</i> (2007-07-20). Retrieved on <a href="/wiki/July_20" title="July 20">July 20</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-fault">^ <a href="#_ref-fault_0" title=""><sup><i><b>a</b></i></sup></a> <a href="#_ref-fault_1" title=""><sup><i><b>b</b></i></sup></a> <a href="http://www.news.com.au/story/0,23599,22104315-23109,00.html" class="external text" title="http://www.news.com.au/story/0,23599,22104315-23109,00.html" rel="nofollow">Brazil plane 'flew with mechanical fault'</a>. <i>news.com.au</i> (2007-07-20). Retrieved on <a href="/wiki/July_20" title="July 20">July 20</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-7"><b><a href="#_ref-7" title="">^</a></b> Marcos Chagas and Aloisio Milani (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). <a href="http://www.agenciabrasil.gov.br/noticias/2007/07/18/materia.2007-07-18.9399401592/view" class="external text" title="http://www.agenciabrasil.gov.br/noticias/2007/07/18/materia.2007-07-18.9399401592/view" rel="nofollow">Listas de nomes divulgada pela TAM ultrapassam previsão oficial de 176 passageiros</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <a href="/wiki/Ag%C3%AAncia_Brasil" class="stub" title="Agência Brasil">Agência Brasil</a>. Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.&#160;“71.JULIO CESAR REDECKER”</li>
<li id="_note-8"><b><a href="#_ref-8" title="">^</a></b> <a href="http://www.psdb.org.br/noticias.asp?id=30878" class="external text" title="http://www.psdb.org.br/noticias.asp?id=30878" rel="nofollow">Redecker estava no vôo da TAM que pegou fogo em SP</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <a href="/wiki/Brazilian_Social_Democracy_Party" title="Brazilian Social Democracy Party">Brazilian Social Democracy Party</a> (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-9"><b><a href="#_ref-9" title="">^</a></b> <a href="http://noticias.terra.com.br/brasil/acidentecongonhas/interna/0,,OI1765928-EI10210,00.html" class="external text" title="http://noticias.terra.com.br/brasil/acidentecongonhas/interna/0,,OI1765928-EI10210,00.html" rel="nofollow">Deputado do RS estava no vôo que sofreu acidente</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <a href="/wiki/Terra_Networks" title="Terra Networks">Terra Brasil</a> (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.</li>
<li id="_note-10"><b><a href="#_ref-10" title="">^</a></b> Marcos Chagas and Aloisio Milani (<a href="/wiki/July_17" title="July 17">July 17</a>, <a href="/wiki/2007" title="2007">2007</a>). <a href="http://www.agenciabrasil.gov.br/noticias/2007/07/18/materia.2007-07-18.9399401592/view" class="external text" title="http://www.agenciabrasil.gov.br/noticias/2007/07/18/materia.2007-07-18.9399401592/view" rel="nofollow">Listas de nomes divulgada pela TAM ultrapassam previsão oficial de 176 passageiros</a> <span style="font-size: 0.95em; font-weight: bold; color:#555; position: relative;">(Portuguese)</span>. <a href="/wiki/Ag%C3%AAncia_Brasil" class="stub" title="Agência Brasil">Agência Brasil</a>. Retrieved on <a href="/wiki/July_18" title="July 18">July 18</a>, <a href="/wiki/2007" title="2007">2007</a>.&#160;“106.PAULO ROGERIO AMORETTY SOUZA”</li>
</ol>
</div>
------- Comment #3 From 2007-07-20 10:38:13 PST -------
This bug is present in Safari 3.0.2 beta for Mac with r24479; Mac OS X 10.4.10. My browser is rendering the same as the image Derk-Jan Hartman attaches in Comment #1.

This bug is NOT present in Safari 3.0.2 beta for Win with r24459; Windows XP Profession SP2.
------- Comment #4 From 2007-07-21 07:12:44 PST -------
Confirmed with a local debug build of WebKit r24477 with Safari 3.0 (522.12) on Mac OS X 10.4.10 (8R218).

Note that you must make your browser window wider before the References are split into two columns.
------- Comment #5 From 2007-07-24 06:07:54 PST -------
Created an attachment (id=15662) [details]
slightly different case

Similar issue. However this time with columncount.
------- Comment #6 From 2007-07-24 06:09:12 PST -------
Created an attachment (id=15663) [details]
html of 2nd (slightly different) case
------- Comment #7 From 2007-08-16 08:18:59 PST -------
Hmm, it seems I no longer have this issue with displacement of (Portuguese) in both 3.0.3 and in nightlies.
------- Comment #8 From 2007-08-16 10:28:23 PST -------
Created an attachment (id=15996) [details]
Misplaced "(Portuguese)" in extra wide browser

I still see a misplaced "(Portuguese)" if I make the browser REALLY wide.

Using a local debug build of WebKit r25105 with Safari 3 Public Beta v. 3.0.3 (522.12.1) on Mac OS X 10.4.10 (8R218).
------- Comment #9 From 2008-03-16 18:19:38 PST -------
I'm attaching four reduced testcases that demonstrate different ways this bug occurs on 525.13 (nightly rev 31076):

Testcase #1 triggers the bug when text is zoomed in the browser. Margins and padding on the column paragraphs have been set to 0.

Testcase #2 triggers the bug on page load because of margins applied to column paragraphs. Also, if the text is zoomed then the page refreshed, the layout changes significantly.

Testcase #3 triggers the bug on page load because of padding applied to column paragraphs (but if padding is reduced from 15px to 10px, it only occurs after zooming).

Testcase #4 uses DIVs as the positioned element instead of inline text, and triggers the bug on page load.

Also see http://xhva.net/work/css3 for a larger testcase (floated relative blockquotes reserve space in the correct column but are only drawn in the first).
------- Comment #10 From 2008-03-16 18:21:52 PST -------
Created an attachment (id=19815) [details]
Testcase #1
------- Comment #11 From 2008-03-16 18:22:16 PST -------
Created an attachment (id=19816) [details]
Testcase #2
------- Comment #12 From 2008-03-16 18:22:35 PST -------
Created an attachment (id=19817) [details]
Testcase #3
------- Comment #13 From 2008-03-16 18:22:51 PST -------
Created an attachment (id=19818) [details]
Testcase #4
------- Comment #14 From 2010-05-28 17:27:04 PST -------
This problem still exists in 4.0 and considering how long ago it was reported some attention perhaps is needed. 

The latest place to see this problem is in iBooks on the iPad. When rendering epub files that have floated elements this problem shows up as iBooks must internally use css columns.
------- Comment #15 From 2010-07-14 10:52:33 PST -------
Just confirmed on Safari 5 with test cases. However, the behavior has changed the latest nightly Testcase #1 fails if you resize the window so that one of columns has can not be displayed. However, if you zoom in or out at any time the problem goes away until the page is reloaded. Test case 4 appears to behave normally. Test #3 and #2 trigger the bug on page load zooming provides a temporary fix again.
------- Comment #16 From 2011-02-13 03:54:55 PST -------
Created an attachment (id=82256) [details]
Testcase #5: <sup> versus "<span> with pos=rel"

File contains 2 blocks: first has m^1 m^2 using m<sup>1</sup>...  and second block uses m<span>1</span> with "span {  position: relative; bottom: 0.6em; font-size: 65%; }" 

m<sup>1</sup> works correctly in columns, but m<span>1</span> using pos=rel fails.